For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Refunds a previously completed Capture or Instant transaction (minimum of 0.99). You can optionally refund partially. You can do so as many times as you wish until the entire collected amount has been refunded.
A *Capture* or *Pay* transaction can only be refunded after the bank money collection has been processed and completed.
Ensure you also implement an Event Notification Handler to get transaction status updates.
Authentication
AuthorizationBasic
Path parameters
transactionIdstringRequired
Capture Transaction ID retrieved from a Trustly Capture transaction.
Request
merchantReferencestringOptional
A specific merchant reference for this refund. For example, this could be a merchant order number or the same merchant reference value used in the original establish call.
amountstringOptional
The amount to be refunded which can be less or equal than the current balance of the transaction being refunded. If the value is omitted the remaining balance is refunded. (maximum of 10 characters with support for 2 decimal places)
Response
OK
transactionIdstring>=1 character
A unique transaction identifier generated by Trustly (15 character max).
3-letter ISO Currency Code. Currently only USD is supported.
Allowed values:
amountstring>=1 character
The amount of the transaction. (10 characters with support for 2 decimal places)
pendingstring>=1 character
The total amount that is still pending completion. (10 characters with support for 2 decimal places)
paidstring>=1 character
The total amount that was already paid. (10 characters with support for 2 decimal places)
refundedstring>=1 character
The total amount that was refunded. (10 characters with support for 2 decimal places)
reversedstring>=1 character
The total amount that was reversed. (10 characters with support for 2 decimal places)
balancestring>=1 character
The balance of the amount paid, minus the amount reversed and/or refunded. (10 characters with support for 2 decimal places)
paymentProviderTransactionobject
Payment Provider Transaction
statusenum
Status code of the Payment Provider Transaction record. See Transaction Types
statusMessagestring>=1 character
A descriptive status message. (120 characters)
ipstring>=1 character
The client IP address in IPv4 or IPv6 format.
createdAtinteger
The date and time the transaction was created as a UNIX timestamp.
processedAtinteger
The date and time the transaction was processed as a UNIX timestamp.
completedAtinteger
The date and time the transaction was completed as a UNIX timestamp.
updatedAtinteger
The date and time the transaction was last updated as a UNIX timestamp.
merchantReferencestring>=1 character
Merchants internal reference id for the transaction.
recordVersiondouble
The current record version.
ppTrxIdstringOptional>=1 character
internal use only
expiredAtintegerOptional
The date and time the preauthorization will expire as a UNIX timestamp.
originalTransactionIdstringOptional
feestringOptional
timeZonestringOptional
representmentScheduledAtdoubleOptional
paymentProcessorTypestringOptional
statusCodestringOptional
preAuthorizedbooleanOptional
Refunds a previously completed Capture or Instant transaction (minimum of 0.99). You can optionally refund partially. You can do so as many times as you wish until the entire collected amount has been refunded.
A Capture or Pay transaction can only be refunded after the bank money collection has been processed and completed.
Ensure you also implement an Event Notification Handler to get transaction status updates.